# Retrieve a payment gateway transaction log

Retrieves transaction log information passed through your [custom payment gateway](https://docs.zuora.com?resourceId=payments-specialized-payment-connections).

Endpoint: GET /v1/payment-gateway-transaction-log/{paymentOrRefundOrPaymentMethod-id}
Version: 2026-09-11

## Path parameters:

  - `paymentOrRefundOrPaymentMethod-id` (string, required)
    The ID of a payment, a refund, or a payment method wherein the gateway transaction log was recorded.

## Header parameters:

  - `Accept-Encoding` (string)
    Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. 

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.

  - `Content-Encoding` (string)
    Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

  - `Authorization` (string)
    The value is in the `Bearer {token}` format where {token} is a valid OAuth token generated by calling [Create an OAuth token](https://developer.zuora.com/api-references/api/operation/createToken).

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

  - `Zuora-Entity-Ids` (string)
    An entity ID. If you have [Zuora Multi-entity](https://docs.zuora.com?resourceId=platform-multi-entity-overview) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.

## Response 200 fields (application/json):

  - `data` (array)
    Container for the payment gateway transaction log records.

  - `data.createTime` (string)
    The timestamp of the logs created in ISO-8601 format.

  - `data.createdBy` (string)
    The ID of the user who created the transaction.

  - `data.currency` (string)
    The type of currenty, in which the transaction was made.

  - `data.gatewayId` (string)
    The ID of the gateway, through which the transaction was processed.

  - `data.gatewayName` (string)
    The name of the gateway, through which the transaction was processed.

  - `data.gatewayType` (string)
    The type of the valid gateway, through which the transactioin was processed.

  - `data.gatewayVersion` (string)
    The version of the gateway, through which the transaction was processed.

  - `data.id` (string)
    The unique ID of the transaction log.

  - `data.operationId` (string)
    The ID of the transaction operation.

  - `data.operationType` (string)
    The type of transaction operation, such as `Payment`, `Refund`, `Validation`.

  - `data.paymentMethodType` (string)
    The type of the payment method used for the transaction, such as `Credit Card`, `ACH`, etc.

  - `data.receiveTime` (string)
    The time when Zuora received the response.

  - `data.request` (string)
    The request parameters when sending the request.

  - `data.response` (string)
    The response body of the received response.

  - `data.responseCode` (string)
    The code associated with the response. The value can be `Success`, `Failure`, or `Error`.

  - `data.sendTime` (string)
    The time when Zuora sent the request.

  - `data.tenantId` (string)
    The tenant ID of the user requesting the logs.

  - `data.updatedBy` (string)
    The ID of the user who last updated the transaction.

  - `data.updatedTime` (string)
    The timestamp of logs updated in ISO-8601 format.

  - `data.zReferenceId` (string)
    The payment or refund Id.

  - `success` (boolean)
    Returns `true` if the request was processed successfully.

## Response 200 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

## Response 200 examples:

  - `response` (unknown)

